﻿body {
}

a:link {
    color: #182a49;
    /*    text-decoration: underline;*/
}

/* Warning tier button, orange/yellowish. */
button.caution, input[type="button"].caution, .button.caution, .caution, .label.caution, .button.caution a, .caution {
    background-color: #ffc107;
    color: #000 !important;
    border: 1px solid #ffc107;
}

    button.caution:hover, input[type="button"].caution:hover, .button.caution:hover, .caution:hover, .label.caution:hover, .button.caution a:hover, .caution:hover {
        background-color: #ffd351;
        color: #000 !important;
        border: 1px solid #ffd351;
    }

/* Bright blue button with white text. this serves two purposes, to show active items on the site, (i.e, compared to the true-netural style below, these elements are "active") */
button.neutral, input[type="button"].neutral, .button.neutral, .btn-neutral, #btnSearchUsers, .label.neutral, .button.neutral a, .neutral {
    background-color: #00a4db;
    color: #FFF !important;
    border: 1px solid #00a4db;
    /*
    background-color: #00bbfc;
    color: #FFF !important;
    border: 1px solid #00BBfc;
*/
}

/* Grey button with dark blue text. used for cancel buttons where no data will change.*/
button.true-neutral, input[type="button"].true-neutral, .button.true-neutral, .true-neutral, .button.true-neutral a {
    background-color: #FAFAFA;
    color: #444 !important;
    border-radius: 0px !important;
    border: 1px solid #DDD;
}

    button.true-neutral:hover, input[type="button"].true-neutral:hover, .button.true-neutral:hover, .true-neutral:hover {
        text-decoration: none;
        background-color: #eee;
        color: #23527c;
    }

/* Dark red button with white text. - ideally used for buttons that will commit things to db/load new pages. - removing items etc. */
button.negative, input[type="button"].negative, .button.negative {
    background-color: #ba5050; /* Temp color darkish red. */
    color: #FFF !important;
    border: 1px solid #ba5050;
}

button.true-neutral:active, input[type="button"].true-neutral:active, .button.true-neutral:active, .true-neutral:active {
    text-decoration: none;
    background-color: #fff;
    color: #23527c;
}

button.negative:active, input[type="button"].negative:active, .button.negative:active {
    background-color: #ca6060; /* Temp color darkish red. */
    color: #FFF !important;
    border: 1px solid #ba5050;
}

/* Bright blue button with white text. this serves two purposes, to show active items on the site, (i.e, compared to the true-netural style below, these elements are "active") */
button.neutral:active, input[type="button"].neutral:active, .button.neutral:active, #btnSearchUsers:active {
    background-color: #00b4eb;
    color: #FFF !important;
    border: 1px solid #00a4db;
    /*
    background-color: #00bbfc;
    color: #FFF !important;
    border: 1px solid #00BBfc;
*/
}

button.positive:active, input[type="button"].positive:active, .button.positive:active {
    background-color: #abca60;
    color: #FFF !important;
}

/* Bright Green button with white text. - ideally used for buttons that will commit things to db/load new pages. */
button.positive, input[type="button"].positive, .button.positive, .parent-positive a, .button.positive a, .button.positive a {
    background-color: #9bba50;
    color: #FFF !important;
}



.deepest-blue {
    /*Used on side menu.*/
    background-color: #182a49;
}

.deep-blue {
    /*Used on top menu.*/
    /*background-color: #1d407b;*/
    /*background-color: #1f4a82; /* Had to update the color as the logo blue is slightly different. */
    /* background-color: #284578;*/
    background-color: #234c82;
}


.top-menu {
    margin-bottom: 1px;
    width: 100%;
    height: 48px; /*rough guess for now.*/
    /*overflow: auto;*/
}



    .top-menu .nav-item {
        float: right;
        background-color: #234c82;
    }



.site-button {
    cursor: pointer;
    background-color: #9bba50;
    padding: 10px;
    display: block;
    color: #FFF;
    float: left;
    overflow: auto;
}


/* #region TOP & LEFT MENU ITEMS. These are the same for both.*/

.nav-item {
    /* A navigation menu item, both on the top and down the side.*/
    width: 48px; /*Rough guess*/
    height: 48px; /*Rough guess*/
    color: white;
}

    .nav-item a {
        color: white;
        padding: 12px;
        font-size: 24px;
    }

    .nav-item.active, .nav-item.selected {
        /* A navigation menu item, both on the top and down the side.*/
        background-color: #9bba50 !important;
    }

        .nav-item.active a:hover {
            color: white;
        }


    .nav-item a:hover {
        color: #00a4db;
        text-decoration: none;
    }


    .nav-item a:link {
        /*- a normal, unvisited link */
        color: white !important;
        text-decoration: none;
    }

    .nav-item a:visited {
        color: white !important;
        text-decoration: none;
        /* - a link the user has visited */
    }

    .nav-item a:hover {
        color: white !important;
        text-decoration: none;
        /* - a link when the user mouses over it */
    }

    .nav-item a:active {
        color: white !important;
        text-decoration: none;
        /* - a link when the user mouses over it */
    }



/* #region Sub-menu - Navigation.  Desktop only sub-menu navigation items. - grey list with blue highlight on select.*/
.sub-nav a {
    width: 100%;
    float: left;
    border-bottom: solid 1px #c2cdd7;
    color: #182a49;
    font-weight: normal;
}

.sub-nav a {
    padding-left: 20px;
    padding-top: 8px;
    padding-bottom: 8px;
}

    .sub-nav a.child {
        padding-left: 40px;
        border-bottom: none !important;
    }

.sub-nav .children {
    border-bottom: solid 1px #c2cdd7;
    overflow: auto;
    float: left;
    width: 100%;
}

.sub-nav a.parent {
    border-bottom: none !important;
}

    .sub-nav a.parent:hover {
        cursor: default !important;
        text-decoration: none;
    }

.sub-nav a:hover:not(.parent) {
    background-color: #9bba50 !important;
    color: white;
    text-decoration: none;
}

.sub-nav a.active, .sub-nav a.selected {
    background-color: #00a4db;
    color: white;
}

/* Hide the mobile-only sub-menu stuff. */
.sub-menu .nav-tabs, .border-bar {
    display: none;
}



a.no-underline:hover {
    text-decoration: none;
}



/*#endregion*/


/* #region Side-menu toggle Show/hide the side bar. */

.toggle-side {
    position: absolute;
    top: -10px;
    right: -10px;
    color: white;
}

    .toggle-side .hider {
        /*box-shadow: 2px 2px 3px #333;*/
        /*opacity:0.95;*/
    }

    .toggle-side span {
        width: 100%;
        text-align: center;
    }

    .toggle-side .hider {
        margin: 10px;
        padding: 15px;
        width: 48px;
        height: 48px;
    }

.toggler .shower {
    margin: 0px;
    padding: 17px;
    width: 38px;
    height: 38px;
}

.toggle-side .hider {
    background-color: #00a4db;
}

    .toggle-side .hider:hover {
        cursor: pointer;
    }

    .toggle-side .hider:hover {
        cursor: pointer;
    }


.toggler {
    color: white;
    margin-top: 48px;
}

.full-page.contracted-split .toggler .shower {
    display: block;
    cursor: pointer;
}

.full-page .toggler .shower {
    display: none;
}

.full-page .toggle-side .hider {
    display: block;
}

.full-page.contracted-split .toggle-side .hider {
    display: none;
}

/* give it some large negative margin, sliding it under the left menu.*/
.full-page.contracted-split .sub-menu, .full-page.contracted-split .sub-menu-bg {
    margin-left: -262px;
}

.full-page.contracted-split .inner-content {
    width: 100%;
}

.full-page {
    -webkit-overflow-scrolling: auto;
}

/*#endregion*/




/* #region Cards*/

.portal-grid .card .img-wrapper {
    max-height: 120px;
    overflow: hidden;
}

.portal-grid .card img {
    width: 100%;
    min-height: 90px;
    margin-top: -15%;
}

.portal-grid .card {
    min-height: 161px;
    background-color: #fff;
}


.sub-text {
    /* Portal tile subtitle*/
    max-height: 20px;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 0px;
}

.portal-grid .img-wrapper {
    margin-top: -15px;
    margin-left: -15px;
    margin-right: -15px;
    margin-bottom: 15px;
}

.other-actions {
    overflow: auto;
    /*    margin-bottom:20px;*/
}



.site-cards {
    /*background-color: #eaedf0 !important;*/
    border-bottom: solid 1px #CCC;
}


.sensor-cards, .spotpricing-cards {
    /*background-color: #eaedf0 !important;*/
    border-bottom: solid 1px #CCC;
    margin-bottom: 20px;
    margin-left: -20px;
    margin-right: -20px;
    padding-left: 20px;
    padding-right: 20px;
}

.site-cards {
    padding-top: 20px;
    padding-left: 20px;
    padding-right: 20px;
}

/*  Cards   */
.card {
    background-color: #fafafa;
    margin-bottom: 25px;
    padding: 20px;
    border: solid 1px #cbd4dd;
    box-shadow: 1px 1px 2px #CCC;
    overflow: auto;
    min-height: 76px;
}

    .card.tight {
        padding-top: 9px !important;
        padding-left: 9px !important;
        padding-right: 9px !important;
        padding-bottom: 7px !important;
        min-height: 49px;
        border-radius: 2px;
    }

        .card.tight h4 {
            font-size: 12px;
            margin-bottom: 3px !important;
        }

        .card.tight .sub-info {
            font-size: 11px;
        }


.row.small-gutters {
    margin-left: -5px;
    margin-right: -5px;
}


    .row.small-gutters > div[class^="col-"] {
        padding-left: 5px;
        padding-right: 5px;
    }

        .row.small-gutters > div[class^="col-"] > .card {
            margin-bottom: 10px;
        }


.row.med-gutters {
    margin-left: -10px;
    margin-right: -10px;
}

    .row.med-gutters > div[class^="col-"] {
        padding-left: 10px;
        padding-right: 10px;
    }


.wm-card-title {
    margin-top: 0px;
    /*color: #00bbfc;*/
    /*color: #0099cc;*/
    color: #001188;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


.wm-card-sub-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #888;
}

.highcharts-graph {
    stroke-width: 1.1px !important;
}

.threshold-line .highcharts-graph {
    stroke-width: 1px !important;
}


#site-cards .card-grid {
    overflow-x: hidden;
    overflow-y: auto;
    /*max-height: 0px;*/
    will-change: transform;
    transform: translateZ(0);
    -moz-transform: translateZ(0);
    -webkit-transform: translateZ(0);
    -webkit-backface-visibility: hidden;
    max-height: 265px;
}

#site-cards-wrapper {
    /* transform: translateZ(0);
    -webkit-transform: translateZ(0);
    -webkit-transition: all .3s ease-in-out;*/
    max-height: 265px;
    transform-origin: top;
    -moz-transform-origin: top;
    -webkit-transform-origin: top;
    transition: height 200ms;
    height: 0px;
    overflow: hidden;
    will-change: height;
}

    #site-cards-wrapper.opened {
        /*display: block;*/
        height: 265px;
        /*
        max-height: 225px;
        -moz-transform: scaleY(1); /*
        -ms-transform: scaleY(1); /*
        transform: scaleY(1); /*breaks i.e.
        -webkit-transform: scaleY(1);
        */
    }

    #site-cards-wrapper.closed {
        /*display:none;*/
        height: 0px;
        /*
        max-height: 0px;
        -moz-transform: scaleY(0); /*
        -ms-transform: scaleY(0); /*
        transform: scaleY(0); /*breaks i.e.
        -webkit-transform: scaleY(0);
        overflow: hidden;
            */
    }

        #site-cards-wrapper.closed .card-grid {
            /*display:none;*/
        }


.card.active {
    background-color: #9bba50;
    color: white !important;
    opacity: 1;
    border-color: #677e30;
}

    .card.active:active {
        background-color: #abca60;
        color: white !important;
        opacity: 1;
        border-color: #677e30;
    }

#site-cards .card:not(.active):active {
    background-color: #FFF;
}

#site-cards .card {
    box-shadow: none !important;
}


.card.active h4 {
    color: white;
}

.card.active .sub-info {
    color: white;
}


.choice-card {
    background-color: #ffffff !important
}

    .choice-card h3 {
        margin-top: 5px !important;
        margin-bottom: 0px !important;
    }

    .choice-card:hover {
        border: solid 1px #677e30;
        cursor: pointer;
    }

    .choice-card.active {
        background-color: #abca60 !important;
        color: white !important;
        opacity: 1;
        border-color: #677e30;
    }


    .choice-card .choice-gutter {
        position: absolute;
        left: 15px;
        top: 0px;
        bottom: 25px;
        width: 10%;
        border-image-outset: -1px;
        border-right: 1px solid #dddddd;
    }

        .choice-card .choice-gutter .radio {
            margin-top: -7px;
            margin-left: -7px;
            position: absolute;
            top: 50%;
            bottom: 0;
            left: 50%;
            right: 0;
        }

    .choice-card .choice-contents {
        margin-left: 10%;
    }


.pad-20 {
    padding: 20px;
}


.card.active .card-footer {
    background-color: #96b253 !important;
    border-top: 1px solid #839850;
    color: white !important;
    opacity: 1;
}

.card-footer {
    background-color: #eeeeee;
    border-top: 1px solid #dddddd;
    margin-left: -20px;
    margin-right: -20px;
    margin-bottom: -20px;
    padding: 20px;
}

.container-fluid {
    /*Fix for grid.less having some styles that affect container-fluid.*/
    padding-left: 0px !important;
    padding-right: 0px !important;
}

    .container-fluid.padded {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }

.sites-title {
    margin-bottom: 20px;
}

#site-cards .card {
    cursor: pointer;
    padding: 10px;
}

.portal-grid .card {
    padding: 15px;
    cursor: pointer;
}

#site-cards .card h4 {
    margin-bottom: 3px;
}

#site-cards .card:hover, .portal-grid .card:hover, .sensor-dashboard .card:hover {
    border: 1px solid green;
}
/* #endregion*/



/* #region Show Restrictions*/

tr.current-zone {
    /*background-color: #ccffff !important;*/
    border: 1px solid #00a4db !important;
}

    tr.current-zone th {
        background-color: #00a4db !important;
        color: white;
    }

tr.current-zone {
    /*background-color: #ccffff !important;*/
    border: 1px solid #00a4db !important;
}

td.today.current-zone {
    background-color: #a2e6ff;
    font-weight: bold;
}

tr.current-zone td, td.today {
    background-color: #e1f7ff;
}

td.no-allocation {
    color: #888888
}


td.restricted-1 {
    background-color: #ffffcc;
    border: 1px solid #ccc !important;
    color: #000;
    background: repeating-linear-gradient( 45deg, #fffff1, #fffff1 10px, #ffffc9 10px, #ffffc9 20px ) !important;
}

td.restricted-2 {
    background-color: #ffdd88;
    border: 1px solid #ddaa44 !important;
    color: #000;
    background: repeating-linear-gradient( 45deg, #ffeeaa, #ffeeaa 10px, #ffffc9 10px, #ffffc9 20px ) !important;
}

td.restricted-3 {
    color: #000;
    border: 1px solid #dd7744 !important;
    background: repeating-linear-gradient( 45deg, #ffbba0, #ffbba0 10px, #ffa570 10px, #ffa570 20px ) !important;
    background-color: #ff9966;
}

td.restricted-4 {
    /*background-color: #ff6666;*/
    color: #000;
    border: 1px solid #dd4444 !important;
    background: repeating-linear-gradient( 45deg, #ffa0a0, #ffa0a0 10px, #ffbbbb 10px, #ffbbbb 20px ) !important;
    background-color: #ffa0a0;
}

table.restrictions {
    text-align: center;
}

    table.restrictions thead th {
        background-color: #ddd !important;
        border: 1px solid #ccc;
        text-align: right;
    }

    table.restrictions tbody th {
        background-color: #eee;
        border: 1px solid #ccc;
        text-align: right;
    }

    table.restrictions td {
        border: 1px solid #ccc;
    }


    table.restrictions thead th {
        padding: 0px !important;
    }


@@media (max-width:800px) {
    table.restrictions td {
        padding: 1px !important;
    }

    .fancy-date .mmm {
        padding-left: 1px;
        padding-right: 1px;
        padding-top: 1px;
    }

    .fancy-date .day {
        padding-left: 1px;
        padding-right: 1px;
    }

    .fancy-date .ddd {
        padding-left: 1px;
        padding-right: 1px;
        padding-bottom: 1px;
    }
}


.restrictions tr:last-of-type td, .restrictions tr:last-of-type th {
    border-bottom: none !important;
}

.restrictions tr td:last-of-type, .restrictions thead th:last-of-type {
    border-right: none !important;
}

/* #endregion*/



/* #region Generic DATA TABLES */
.dataTables_wrapper {
    background-color: #fafafa;
    /*  border: solid 1px #cbd4dd;*/
    /* box-shadow: 1px 1px 2px #CCC;*/
    overflow: auto;
}

    .dataTables_wrapper label {
        font-weight: normal;
    }
    /* TODO MORE SPECIFIC SELECTOR
label {
    margin-bottom: 0px
}
*/

    .dataTables_wrapper .dataTables_filter {
        float: right;
        margin-top: 10px;
        margin-right: 10px;
        margin-bottom: 10px;
    }


    .dataTables_wrapper tr:hover, .dataTables_wrapper tr.odd:hover {
        background-color: #ececec !important;
    }


.dataGrid th {
    /* Gradient for table head row */
    background: #00b3f3 !important; /* Old browsers */
    background: -moz-linear-gradient(top, #00b3f3 0%, #009fdd 100%) !important; /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #00b3f3 0%,#009fdd 100%) !important; /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #00b3f3 0%,#009fdd 100%) !important; /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00b3f3', endColorstr='#009fdd',GradientType=0 ) !important; /* IE6-9 */
    font-size: 12px;
}

.dataGrid table {
    width: 100%;
}

.dataTables_wrapper .dataTables_paginate {
    float: right;
    margin-top: 10px;
    margin-right: 10px;
    margin-bottom: 10px;
}

.dataTables_wrapper .dataTables_info {
    float: left;
    margin-top: 20px;
    margin-left: 10px;
    margin-bottom: 10px;
}

.dataTables_wrapper .dataTables_length {
    float: left;
    margin-top: 13px !important;
    margin-left: 10px;
    margin-bottom: 10px;
}

.dataTables_wrapper .paging_full_numbers a {
    padding: 5px;
    padding-left: 13px;
    padding-right: 13px;
}

.dataTables_wrapper.spaced {
    margin-bottom: 20px;
}
/*dark first column.*/
.dataTables_wrapper.first-col-dark td:first-of-type {
    background-color: #f1f1f1;
}

.dataTables_wrapper.first-col-dark .odd td:first-of-type {
    background-color: #e7e7e7;
}

.dataTables_wrapper td.merged-cell {
    background-color: #f7f7f7;
}

/*Alternating bg for rows.*/
.dataTables_wrapper tr {
    background-color: #FFF;
}

    .dataTables_wrapper tr.even {
        background-color: #ffffff !important;
    }

.dataTables_wrapper table {
    /*border: solid 1px #cbd4dd;*/
    border: solid 1px #cbd4dd;
    margin-bottom: 0px !important;
}

.dataTables_wrapper thead tr, .dataTables_wrapper tfoot tr {
    /* Gradient for table head row */
    background: #00b3f3 !important; /* Old browsers */
    background: -moz-linear-gradient(top, #00b3f3 0%, #009fdd 100%) !important; /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #00b3f3 0%,#009fdd 100%) !important; /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #00b3f3 0%,#009fdd 100%) !important; /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00b3f3', endColorstr='#009fdd',GradientType=0 ) !important; /* IE6-9 */
}




.dataTables_wrapper th {
    color: white !important;
    text-shadow: 1px 1px 1px #555;
    border: solid 1px #0097cc;
    background: inherit;
}

    .dataTables_wrapper th a {
        color: white;
    }


#grdCollectUsers tfoot a {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
    display: inline-block;
    min-width: 20px;
    text-align: center;
}

/* Overrides */
.dataTables_wrapper .fg-toolbar {
    border-bottom: none;
    background: none;
}

.dataTables_wrapper table.stripMe {
    border: none;
}

.dataTables_wrapper thead tr th {
    background: none !important;
}

.table-top {
    border-bottom: none;
    border-left: solid 1px #cbd4dd;
    border-right: solid 1px #cbd4dd;
    border-top: solid 1px #cbd4dd;
    overflow: auto;
}

.table-bottom {
    border-top: none;
    border-left: solid 1px #cbd4dd;
    border-right: solid 1px #cbd4dd;
    border-bottom: solid 1px #cbd4dd;
    overflow: auto;
}

/*#endregion*/




table.devices {
    background-color: #fff !important;
    margin-bottom: 20px !important;
}

.info-section {
    margin-bottom: 15px;
}

    .info-section .label {
        font-weight: inherit;
    }

        .info-section .label.label-default {
            background-color: #fff;
            color: #244b82;
        }

ul[type="disc"] {
    list-style-type: disc !important;
    list-style-image: none !important;
}

ul[type="circle"] {
    list-style-type: circle !important;
    list-style-image: none !important;
}

ul[type="square"] {
    list-style-type: square !important;
    list-style-image: none !important;
}


.fancy-date {
    background-color: #eee;
    text-align: center;
}

    .fancy-date.today {
        background-color: #00a4db !important;
        color: #FFF;
    }

    .fancy-date .ddd {
        padding-left: 4px;
        padding-right: 4px;
        padding-top: 4px;
        font-size: 0.9em;
    }

    .fancy-date .day {
        padding-left: 4px;
        padding-right: 4px;
        font-size: 1.3em;
        font-weight: bold;
        line-height: 1.05 !important;
    }

    .fancy-date .mmm {
        padding-left: 4px;
        padding-right: 4px;
        padding-bottom: 4px;
        font-size: 0.7em;
        font-weight: bold;
        opacity: 0.75;
    }













.sensor-tabs {
    /*   margin-bottom: 20px !important;*/
}


    .sensor-tabs a {
        background-color: #FFFFFF;
        color: #444;
        padding-top: 7px;
        padding-bottom: 7px;
        padding-left: 10px;
        padding-right: 10px;
        margin-right: 10px;
        border-radius: 0px !important;
        border: 1px solid #DDD;
    }

    .sensor-tabs .badge {
        background-color: #777 !important;
        color: #FFFFFF !important;
    }

    .sensor-tabs .active a {
        background-color: #00a4db !important;
        color: #FFF !important;
        border: 1px solid #00a4db;
    }


    .sensor-tabs .active .badge {
        background-color: white !important;
        color: #00b3f3 !important;
    }


.form-check-input:checked ~ .form-check-label {
    /* A toggled state! No JavaScript! */
    background-color: #00a4db;
    color: #FFF;
}


a.dt-button, .dt-buttons .dt-button {
    display: block;
    float: right;
    box-sizing: border-box;
    margin-right: 5px;
    margin-top: 5px;
    margin-bottom: 5px;
    padding: 5px 12px;
    cursor: pointer;
    white-space: nowrap;
    background-color: #00a4db;
    color: #FFF !important;
    border: 1px solid #00a4db;
    text-decoration: none;
    outline: none;
}

tr.rpt-title {
    background: #00b3f3 !important;
}


.dashbord-section .panel-heading:not(.notBlue) {
    background-color: #00a4db !important;
}


/*#region Layout Specific */

/* #region PAGE TABS FOR FLOW METERING */
.tabs-gutter {
    height: 48px;
    width: 100%;
    background-color: #dddde5;
    position: relative;
}

    .tabs-gutter .nav-item-chin {
        float: left;
        height: 40px;
        margin-top: 8px;
        padding: 10px;
        background-color: #eaedf0;
        color: #182a49;
        cursor: pointer;
        border-right: 1px solid #bbb;
        border-top: 1px solid #bbb;
        border-bottom: 1px solid #bbb;
    }

.nav-item-chin {
    text-decoration: none !important;
}


.tabs-gutter .nav-item-chin:first-of-type {
    border-left: 1px solid #bbb;
}

.nav-item-chin:not(.active):hover {
    background-color: #00a4db;
    color: white !important;
}

.tabs-gutter .nav-item-chin.active {
    background-color: #FFF;
    border-bottom: 1px solid #fff;
}

.tabs-spacer {
    /*background-color: #FFF;*/
    border-bottom: 1px solid #bbb;
    /*position: absolute;
    top: 0px;
    bottom: 0px;
    right: 0px;
    */
    height: 48px;
    width: 100%;
}


.gutter-title {
    float: left;
    padding: 10px 10px 10px 20px;
    height: 40px;
    margin-top: 8px;
    color: #555;
    border-bottom: 1px solid #bbb;
}

/*#endregion*/
/*#endregion*/


/* #region more jquery-ui-fixes */
.ui-dialog {
    padding: 0px !important;
    border: none !important;
    box-shadow: 2px 2px 4px #333;
}

.ui-dialog-titlebar {
    border: none !important;
    background: #234c82 !important;
    padding: 15px 1em !important;
}

.ui-dialog-titlebar-close:after {
    content: 'x';
    font-weight: bold;
}
.ui-dialog-titlebar-close {
    line-height: 5px;
    color: #234c82;
    background: #FFF;
    right: 1em !important;
    text-align: center !important;
    top: 50%;
    width: 30px !important;
    margin: -15px 0 0 0 !important;
    padding: 1px !important;
    height: 30px !important;
    border-radius: 16px !important;
}

/* #endregion */


div .userParent {
    display: inline-block;
}

